Subject: bug#634: 23.0.60; Command-key binding from Preferences menu doesn't stick

From: Clifford Wulfman <[email-masked]>
Date: Thu, 31 Jul 2008 09:38:00 -0400

By default Emacs.app seems to have the Command key on my Macbook Pro  
bound to hyper; when I change it to
Command everything works fine until I restart emacs, but the  
preference seems to have been lost.

In GNU Emacs 23.0.60.1 (i386-apple-darwin9.4.0, *Step 9.0)
  of 2008-07-30 on hagen.Princeton.EDU
Windowing system distributor `Apple', version 49.46.48
configured using `configure  '--with-ns' '--disable-ns-self-contained''

Important settings:
   value of $LC_ALL: nil
   value of $LC_COLLATE: nil
   value of $LC_CTYPE: nil
   value of $LC_MESSAGES: nil
   value of $LC_MONETARY: nil
   value of $LC_NUMERIC: nil
   value of $LC_TIME: nil
   value of $LANG: nil
   value of $XMODIFIERS: nil
   locale-coding-system: nil
   default-enable-multibyte-characters: t

Major mode: Org

Minor modes in effect:
   diff-auto-refine-mode: t
   tooltip-mode: t
   mouse-wheel-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   global-auto-composition-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   line-number-mode: t
   transient-mark-mode: t

Recent input:
a s k SPC l i s t SPC a n d SPC a SPC s p a c e SPC
t o SPC j o t SPC t h i n g s SPC d o w n SPC t o d
a y . <return> <return> <tab> - SPC <backspace> <backspace>
<backspace> <backspace> <backspace> <backspace> <backspace>
SPC SPC E v e n t u a l l y SPC I S-SPC w a n t SPC
t o SPC g e t SPC b a c k SPC t o SPC u s i n g SPC
o r g - m o d e SPC m o r e SPC e f f e c t i v e l
y SPC f o r SPC t h i s SPC s o r t SPC o f SPC t h
i n g , SPC b u t SPC f o r SPC n o w SPC I SPC n e
e d SPC t o SPC <backspace> <backspace> <backspace>
<backspace> <backspace> <backspace> <backspace> <backspace>
<backspace> ' l l SPC j u s t SPC m a k e SPC a SPC
b i t SPC o f SPC a SPC l i s t SPC h e r e : <return>
<return> <tab> - SPC f i n i s h SPC p r o j e c t
SPC p l a n SPC d r a f t s SPC f o r SPC E V E R Y
T H I N G <M-return> w r i t e SPC A R K SPC n e e
d s SPC <backspace> C-p C-n C-p C-p C-p C-p C-n C-n
C-n C-e <backspace> G C-n C-x C-s <down-mouse-1> <mouse-1>
s-h <menu-bar> <help-menu> <send-emacs-bug-report>

Recent messages:
Use C-c C-c to remember the data.
Saving file /Users/cliff/org/journal.org...
Wrote /Users/cliff/org/journal.org
OVERVIEW
CHILDREN [2 times]
Auto-saving...done
Mark set
Auto-saving...done
Saving file /Users/cliff/org/journal.org...
Wrote /Users/cliff/org/journal.org

Clifford E. Wulfman
Coordinator of Library Digital Initiatives
Princeton University Library
[email-masked]